// MSKGen.h: interface for the CMSKGen class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSKGEN_H__2451E6C8_A8FC_420A_9608_F10554B95ED4__INCLUDED_)
#define AFX_MSKGEN_H__2451E6C8_A8FC_420A_9608_F10554B95ED4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMSKGen  
{
public:
	CMSKGen();
	virtual ~CMSKGen();
	void InitMSK(INT Fs, double freq);
	BOOL CalcMSK( double* pData , INT n);
	void SetMSKFreq(INT Fs, double freq, INT rate, INT range);
private:
	double m_2PI;
	double m_MSKSecPerSamp;
	double m_MSKTime;
	double m_MSKPeriodUpdate;
	double m_MSKPhaseIncH;
	double m_MSKPhaseIncL;
};

#endif // !defined(AFX_MSKGEN_H__2451E6C8_A8FC_420A_9608_F10554B95ED4__INCLUDED_)
