///////////////////////////////////////////////////////
// Perform.h : Global interface for the performance functions
//////////////////////////////////////////////////////////////////////
//                   License and Disclaimer
// 
//  A no cost, non-exclusive license to use this software is granted
// , with the restriction that it be used only for non-commercial amateur
//  radio applications. ALL other uses are prohibited under this license.
//
// This software is EXPERIMENTAL. It is offered AS IS, without Warranty or
// Guarantee of any kind. NO representation is made that this software is
// suitable for any purpose, or that its operation is reliable. Use this
// software strictly at your own risk. The author accepts no liability
// for any loss or injury arising directly or indirectly from its use.
// 
// Never use this software under circumstances where its failure to operate
// or its failure to operate as expected, or the failure of the attendant
// hardware could create a dangerous situation, cause loss of data, or could
// cause damage to your amateur radio equipment, computer equipment, or
// any other equipment or property.
// 
//     Copyright 1999.    Moe Wheatley AE4JY  <ae4jy@mindspring.com>
//////////////////////////////////////////////////////////////////////
//

#if !defined(_INCLUDE_PERFORMXXX_H_)
#define _INCLUDE_PERFORMXXX_H_

/////////////////////////////////////////////////////////////////////////////
extern void InitPerformance();
extern void StartPerformance();
extern void StopPerformance();
extern void ReadPerformance();
extern void SamplePerformance();
#endif //#if !defined(_INCLUDE_PERFORMXXX_H_)