//////////////////////////////////////////////////////////////////////
// Fir.h: interface for the CFir class.
//////////////////////////////////////////////////////////////////////
//SoundCard/Wavefile signal generator program
// Copyright 1999.    Moe Wheatley AE4JY  <ae4jy@mindspring.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////
//
#if !defined(AFX_FIR_H__90EF7C22_68E8_11D2_A157_00A0C996E7F5__INCLUDED_)
#define AFX_FIR_H__90EF7C22_68E8_11D2_A157_00A0C996E7F5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CFir  
{
public:
	CFir();
	virtual ~CFir();
	BOOL Init( INT n, const double* pKCoef );
	void ProcFIR( double* pIn, double* pOut , INT BlockSize);
private:
	double* m_pInPtr;
	const double* m_pCoef;
	double* m_pQue;
	INT m_N;
};

#endif // !defined(AFX_FIR_H__90EF7C22_68E8_11D2_A157_00A0C996E7F5__INCLUDED_)
